{% extends 'base.html.twig' %}

{% block title %}Web analyser!{% endblock %}

{% block body %}
    <section class="section {{ pageCrawler ? '' : 'centerall' }}">
        <div>
            <div class="level">
                <h1 class="title level-item">Web Checker</h1>
            </div>
            <div class="bd-snippet bd-is-horizontal bd-is-3">
                <div class="bd-snippet-preview ">
                    <!-- Main container -->
                    <div class="level">
                        {{ form_start(form, {attr:{class: 'level-item', onsubmit:"document.getElementById('loading-modal').classList.add('is-active');"}}) }}
                            <div class="field has-addons">
                                {% set hasErrors = form.url.vars.errors|length > 0 %}
                                <p class="control {{ hasErrors ? 'is-danger' : '' }}">
                                    {{ form_widget(form.url, {attr: {class:'input'~(hasErrors ? ' is-danger' : ''),placeholder: 'http(s)://www.example.com'}}) }}
                                </p>
                                <p class="control ">
                                    <button class="button {{ hasErrors ? 'is-danger' : '' }}" type="submit">GET URL</button>
                                </p>
                            </div>
                        {{ form_end(form) }}
                    </div>
                </div>
            </div>
        </div>
    </section>

    {% if pageCrawler %}
        <section class="section url-title">
            <div class="level">
                <div class="level-item">
                    <h1 class="title">{{ form.url.vars.value }}</h1>
                </div>
            </div>
            <div class="level">
                <div class="level-item">
                    <h3 class="subtitle">{{ pageCrawler.title }}</h3>
                </div>
            </div>
        </section>
        <section class="section info-tiles">
            <div class="tile is-ancestor has-text-centered">
                <div class="tile is-parent">
                    <article class="tile is-child box">
                        <p class="title">{{ pageCrawler.secured ? "Yes" : "No" }}</p>
                        <p class="subtitle">Secured</p>
                    </article>
                </div>
                <div class="tile is-parent">
                    <article class="tile is-child box">
                        <p class="title">{{ pageCrawler.googleAnalytics ? "Yes" : "No" }}</p>
                        <p class="subtitle">Google Analytics</p>
                    </article>
                </div>
                <div class="tile is-parent">
                    <article class="tile is-child box">
                        <p class="title">{{ pageCrawler.anchor.count }}</p>
                        <p class="subtitle">Total urls</p>
                    </article>
                </div>
            </div>

            {% if pageCrawler.anchor.count > 0 %}
                <div class="external-urls columns">
                    <div id="external-urls" class="panel column is-half">
                        <p class="panel-heading">
                            External domain urls
                        </p>
                        {% set foundDomains = false %}
                        {% for key,group in pageCrawler.anchor.groups %}
                            {% if key == 'external' %}
                                {% for domain in group.domains %}
                                    <a class="panel-block" href="{{ domain }}" target="_blank">
                                        <span class="panel-icon">
                                            <i class="fas fa-book" aria-hidden="true"></i>
                                        </span>
                                        {{ domain }}
                                    </a>
                                    {% set foundDomains = true %}
                                {% endfor %}
                            {% endif %}
                        {% endfor %}
                        {% if not foundDomains %}
                            <a class="panel-block">
                                <span class="panel-icon">
                                    <i class="fas fa-book" aria-hidden="true"></i>
                                </span>
                                No urls found
                            </a>
                        {% endif %}
                    </div>
                    <div id="url-details" class="column is-half">
                        {% for key,group in pageCrawler.anchor.groups %}
                            <div class="tile is-parent has-text-centered">
                                <article class="tile is-child box">
                                    <p class="title">{{ group.count }}</p>
                                    <p class="subtitle">{{ key }} urls</p>
                                </article>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            {% endif %}
        </section>
    {% endif %}
    <div id="loading-modal" class="modal ">
        <div class="modal-background"></div>
        <div class="modal-content">
            <div class="section has-text-centered">
                <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
            </div>
        </div>
    </div>
{% endblock %}
{% block stylesheets %}
    {{ parent() }}
    <style>


    </style>
{% endblock %}